#ifndef ANIMATED_H_
#define ANIMATED_H_

/**
 * An interface for all objects which are able to change their state during simulation
 */
class Animated {
public:
	virtual ~Animated() {};
	virtual void initialize() = 0;
	virtual void computeStep() = 0;
	virtual void performStep() = 0;
};

#endif /*ANIMATED_H_*/
